/**
 * Middleware to protect routes that require authentication.
 * Redirects to the login page if the user is not authenticated.
 */
export default defineNuxtRouteMiddleware(async () => {
  if (!useUser().isAuthenticated) {
    // If still not authenticated, redirect to login
    return navigateTo('/login')
  }
})
